develooper Front page | perl.perl5.porters | Postings from March 2006

Dynaloader problems here, cant build bleadperl

Thread Next
From:
none
Date:
March 23, 2006 14:00
Subject:
Dynaloader problems here, cant build bleadperl
Message ID:
44231a64.62f66c1d.3332.12b3@mx.gmail.com

I just rsync'd up to 27591, and am getting
following build errs.  I reran Configure just to be sure
I wasnt missing some new symbol from there, I get same errs.



         AutoSplitting perl library
./miniperl -Ilib -e 'use AutoSplit; \
autosplit_lib_modules(@ARGV)' lib/*.pm
./miniperl -Ilib -e 'use AutoSplit; \
autosplit_lib_modules(@ARGV)' lib/*/*.pm
make lib/re.pm
make[1]: Entering directory `/home/jimc/perl/core/bleadperl-nothread'
make[1]: `lib/re.pm' is up to date.
make[1]: Leaving directory `/home/jimc/perl/core/bleadperl-nothread'

         Making DynaLoader (static)
make[1]: Entering directory 
`/home/jimc/perl/core/bleadperl-nothread/ext/DynaLoader'
make[1]: Leaving directory 
`/home/jimc/perl/core/bleadperl-nothread/ext/DynaLoader'
make[1]: Entering directory 
`/home/jimc/perl/core/bleadperl-nothread/ext/DynaLoader'
rm -rf ../../DynaLoader.o
cp DynaLoader.o ../../DynaLoader.o
Can't load module Fcntl, dynamic loading not available in this perl.
   (You may need to build a new perl executable which either supports
   dynamic loading or has the Fcntl module statically linked into it.)
  at ../../lib/DynaLoader.pm line 215
BEGIN failed--compilation aborted at ../../lib/Fcntl.pm line 215.
Compilation failed in require at ../../lib/POSIX.pm line 14.
BEGIN failed--compilation aborted at ../../lib/POSIX.pm line 14.
Compilation failed in require at ../../lib/Pod/Man.pm line 36.
BEGIN failed--compilation aborted at ../../lib/Pod/Man.pm line 36.
Compilation failed in require at ../../lib/ExtUtils/Command/MM.pm line 92.
make[1]: *** [manifypods] Error 9
make[1]: Leaving directory 
`/home/jimc/perl/core/bleadperl-nothread/ext/DynaLoader'
make: *** [DynaLoader.o] Error 2


so I rsync --delete'd, rebuilt, and the error changed
a little bit (but still implicates Dynaloader)

rm -rf ../../DynaLoader.o
cp DynaLoader.o ../../DynaLoader.o
Can't locate POSIX.pm in @INC (@INC contains: ../../lib ../../lib 
/usr/local/lib/perl5/5.9.4/i686-linux-thread-multi 
/usr/local/lib/perl5/5.9.4 
/usr/local/lib/perl5/site_perl/5.9.4/i686-linux-thread-multi 
/usr/local/lib/perl5/site_perl/5.9.4 /usr/local/lib/perl5/site_perl .) 
at ../../lib/Pod/Man.pm line 36.
BEGIN failed--compilation aborted at ../../lib/Pod/Man.pm line 36.
Compilation failed in require at ../../lib/ExtUtils/Command/MM.pm line 92.
make[1]: *** [manifypods] Error 2
make[1]: Leaving directory `/home/jimc/perl/core/bleadperl/ext/DynaLoader'
make: *** [DynaLoader.o] Error 2
[jimc@harpo bleadperl]$



The puzzling thing (to me) is that yesterdays rsync, make test
worked just fine, and the Dynaloader changes were completed
at that point.

Any idea what this might be ?

tia
jimc

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About